Package org.eclipse.net4j.util.io

# Class DelegatingStreamWrapper

java.lang.Object
org.eclipse.net4j.util.io.DelegatingStreamWrapper

All Implemented Interfaces:
  `IStreamWrapper`

Direct Known Subclasses:
  `StreamWrapperChain`

public abstract class DelegatingStreamWrapper extends Object implements IStreamWrapper

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.IStreamWrapper

`IStreamWrapper.Factory`

## Constructor Summary

Constructors
Constructor
Description
`DelegatingStreamWrapper(IStreamWrapper delegate)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`doFinishInputStream(InputStream in)`
`protected abstract void`
`doFinishOutputStream(OutputStream out)`
`protected abstract InputStream`
`doWrapInputStream(InputStream in)`
`protected abstract OutputStream`
`doWrapOutputStream(OutputStream out)`
`void`
`finishInputStream(InputStream in)`
`void`
`finishOutputStream(OutputStream out)`
`IStreamWrapper`
`getDelegate()`
`InputStream`
`wrapInputStream(InputStream in)`
`OutputStream`
`wrapOutputStream(OutputStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingStreamWrapper

public DelegatingStreamWrapper(IStreamWrapper delegate)

## Method Details

### getDelegate

public IStreamWrapper getDelegate()

### wrapInputStream

public InputStream wrapInputStream(InputStream in) throws IOException

Specified by:
  `wrapInputStream` in interface `IStreamWrapper`
Throws:
  `IOException`

### wrapOutputStream

public OutputStream wrapOutputStream(OutputStream out) throws IOException

Specified by:
  `wrapOutputStream` in interface `IStreamWrapper`
Throws:
  `IOException`

### finishInputStream

public void finishInputStream(InputStream in) throws IOException

Specified by:
  `finishInputStream` in interface `IStreamWrapper`
Throws:
  `IOException`

### finishOutputStream

public void finishOutputStream(OutputStream out) throws IOException

Specified by:
  `finishOutputStream` in interface `IStreamWrapper`
Throws:
  `IOException`

### doWrapInputStream

protected abstract InputStream doWrapInputStream(InputStream in) throws IOException

Throws:
  `IOException`

### doWrapOutputStream

protected abstract OutputStream doWrapOutputStream(OutputStream out) throws IOException

Throws:
  `IOException`

### doFinishInputStream

protected abstract void doFinishInputStream(InputStream in) throws IOException

Throws:
  `IOException`

### doFinishOutputStream

protected abstract void doFinishOutputStream(OutputStream out) throws IOException

Throws:
  `IOException`